Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Gregory Heytings <[email-masked]>
Date: Mon, 19 Apr 2021 13:30:49 +0000

>
> Prelude and Spacemacs:
>
> (setq ring-bell-function 'ignore)
>
> If I understand correctly, this doesn't set `visible-bell', but only 
> uses the default value (which is nil).  So changing the default will 
> indeed affect these users (until the distributions update themselves to 
> set visible-bell to nil).
>

Hmmm... No, setting ring-bell-function to ignore means that ignore is 
executed to ring the bell instead of the default behavior.  With 
ring-bell-function non-nil, visible-bell is ignored.